 <?php
//call the FPDF library
//require('fpdf181/fpdf.php');
$this->load->library('Fpdf_Master');

//$today = date('Y-m-d'));
//A4 width : 219mm
//default margin : 10mm each side
//writable horizontal : 219-(10*2)=189mm

//$tt =  $user;
//class PDF_sample extends FPDF

$data= '';   

class PDF_sample extends FPDF {
  
  	private $data = array();
  	private $inv_itm = array();
  	private $tm = array();
  	private $options = array(
  		'inv' => '',
  		'destinationfile' => '',
  		'paper_size'=>'A4',
  		'orientation'=>'L'
  	);
  	
  	function __construct($data = array(), $options = array(),$inv_itm = array(),$tm = array()) {
    	parent::__construct();
    	$this->data = $data;
    	$this->inv_itm = $inv_itm;
    	$this->options = $options;
    	$this->tm = $tm;
	}
	

	
	function Footer()
{
    // Go to 1.5 cm from bottom
   
    $this->SetY(-15);
    
//	$this->Image('assets/images/meslogo.png',8,10,-300);  //$this->Image('img/cargologo.jpg',15,890,40,40);
//	$this->Image('img/cargologo.jpg',15,540,50,50);
	 
	 //$this->Ln(2);
$this->SetFont('Arial','B',8);
//$this->Cell(5 ,-3,'CREATED USER & DATE : ' .$this->inv[0]->co_cuser.' / '.$this->inv[0]->co_cdate,0,0);//end of line
//$this->Cell(5 ,5,$this->inv[0]->co_euser,0,0);//end of line

   $this->SetFont('Arial','',7);
	 
//	$this->SetX(0); $this->Cell(0, 10, $this->tm[1][0]->pro_fslogans, 0, 0,'C');
	//$this->Ln(2);
	//$this->SetX(0); $this->Cell(0, 12, $this->tm[1][0]->pro_sfslogans, 0, 0,'C');
    // Select Arial italic 8
    $this->SetFont('Arial','',7);
	
    // Print centered page number
    //$this->Cell(0,10,'Page '.$this->PageNo(),0,0,'R');
    $this->Cell(0,10,'Page '.$this->PageNo().' of {nb}',0,0,'R');
     $this->Line(18,283,205,283);
	
}
	
	public function rptDetailData () {
		
		//
		$border = 0;
		$this->AddPage('L');
		$this->SetAutoPageBreak(False);
		$this->AliasNbPages();
		$left = 18;
		$left1 = 5;
		//$left = 15;
		
		
	$this->SetLeftMargin($left);

		 // Logo
    $this->Image('assets/images/meslogo.png',18,31,-300);
    // Arial bold 15
    $this->SetFont('Arial','B',16);
    // Move to the right
    $this->Cell(77);
    // Title
  
    $this->Cell(195,10,$this->tm[1][0]->pro_name,0,0,'R');
     $this->Ln(7);
     
     $this->Cell(77);
     $this->SetFont('Arial','',10);
    $this->Cell(195,10,$this->tm[1][0]->pro_add,0,0,'R');
   
     
    $this->Ln(4);
     $this->Cell(77);
     $this->SetFont('Arial','',10);
    $this->Cell(195,10,$this->tm[1][0]->pro_num,0,0,'R');
    
    $this->Ln(4);
     $this->Cell(77);
     $this->SetFont('Arial','',10);
    $this->Cell(195,10,$this->tm[1][0]->pro_email,0,0,'R');
     $this->Ln(4);
     $this->Cell(77);
     $this->SetFont('Arial','',10);
    $this->Cell(195,10,$this->tm[1][0]->pro_web,0,0,'R');
     $this->Ln(6);
    
     $this->Cell(77);
     $this->SetFont('Arial','B',10);
    $this->Cell(195,10,"Company Reg.No:".$this->tm[1][0]->pro_reg,0,0,'R');
    // Line break
    $this->Ln(12);
   $this->Line(18,43,288,43); 
   
$this->SetFont('Arial','B',12);	
$this->Cell(273 ,5,'ALL STOCK REPORT (Internal Document)',0,1,'R');//end of line

//set font to arial, regular, 12pt
$this->SetFont('Arial','B',10);

//if($this->inv[0]->cust_type=="Foreign"){$sup = "CUSTOMER"; $sref = "CUSTOMER REF.No.";}else{$sup = "CUSTOMER";$sref = "CUSTOMER REF.No.";}

//bill end
//$this->Cell(1 ,4,"as",0,0);//end of line
//$this->Cell(130 ,5,'[Street Address]',0,0);
$this->Cell(59 ,4,'',0,1);//end of line



//$repad = strtoupper(stripslashes($this->inv[0]->cust_addres));


/*$this->Ln(1);
$this->SetFont('Arial','B',10);
$this->Cell(130 ,4,'DELIVERY ADDRESS' ,0,1);
$this->SetFont('Arial','',8);


$this->Cell(130 ,4,strtoupper($this->tm[1][0]->pro_deladd) ,0,0);
$this->SetFont('Arial','',8);
$this->Cell(25 ,4,'',0,0);
$this->Cell(34 ,4,'',0,1);//end of line
*/

//make a dummy empty cell as a vertical spacer
//$this->Cell(40 ,10,'',0,1);//end of line

$this->Ln(5);
		
		$h = 5;
		$left = 40;
		$top = 10;	
		#tableheader
		$this->SetFillColor(200,200,200);	
		$left = $this->GetX();
		$this->SetFont("Arial", "B", 7);
		$this->Cell(7,$h,'ID',1,0,'C',true);
		$this->SetX($left += 7); $this->Cell(18, $h, 'PRODUCT ID', 1, 0, 'C',true);
		$this->SetX($left += 18); $this->Cell(30, $h, 'BRAND', 1, 0, 'C',true);
		$this->SetX($left += 30); $this->Cell(30, $h, 'ITEM DESCRIPTION', 1, 0, 'C',true);
		$this->SetX($left += 30); $this->Cell(25, $h, 'MODEL / TYPE', 1, 0, 'C',true);
		$this->SetX($left += 25); $this->Cell(25, $h, 'SPECIFICATION', 1, 0, 'C',true);
		$this->SetX($left += 25); $this->Cell(25, $h, 'PART NUMBER', 1, 0, 'C',true);
		$this->SetX($left += 25); $this->Cell(7, $h, 'UNIT', 1, 0, 'C',true);
		$this->SetX($left += 7); $this->Cell(12, $h, 'QTY', 1, 0, 'C',true);
		$this->SetX($left += 12); $this->Cell(12, $h, 'NEW QTY', 1, 0, 'C',true);
		$this->SetX($left += 12); $this->Cell(80, $h, 'REASON', 1, 1, 'C',true);
		

		//$this->Ln(20);
		
		$this->SetFont('Arial','',7);
		$this->SetWidths(array(7,18,30,30,25,25,25,7,12,12,80));
		$this->SetAligns(array('C','L','L','L','L','R','R','C','R','R','R'));
		//$this->SetFontStyle(array('B','B','B','B','B','B','B','B'));
		$no = 1; $this->SetFillColor(255);

		$i=1;
        $total=0;
        $itmcount=0;
        $qty="";
        $reson="";
        
        foreach ($this->inv_itm as $post)   { 
            //if($post->serv_name!=""){$itm_name = $post->serv_name;
            //}else{$itm_name = $post->brand_name." ".$post->itm_name.$post->serv_name."\n".$post->part_no."\n".$post->model_name;}
            
            $this->Row(

            array($i,
            $post[0].'-'.$post[1], 
            $post[2], 
			$post[3],
			$post[4],
			$post[5],
			$post[6],
			$post[7],
			$post[8],
		
			$qty,
			$reson
          ));
          
          $i= $i+1;
        //$total = $total + ($post[4] * $post[5]);
       // $total = number_format(($totalold),2,".",",");
           // $itmcount = $itmcount+$post[4];
        }
        


//$dd = ($this->inv[0]->co_discount * 100)/$total;
//$dispre = number_format((float)$dd, 2, '.', '');

$this->Cell(92 ,5,'',0,0);
//$this->Cell(38 ,5,'DISCOUNT '.$dispre.'%',0,0);
//$this->Cell(28 ,5,$this->inv[0]->curr_symble,1,0);
//$this->Cell(28 ,5,number_format($this->inv[0]->co_discount,2),1,1,'R');//end of line
//$this->Cell(32 ,5,$post->discount.'%'.number_format($post->dis_price,2),1,1,'R');//end of line
//$divd = ($total-($this->inv[0]->co_discount));


//$this->Cell(28 ,5,$this->inv[0]->curr_symble,1,0);
//$this->Cell(28 ,5,number_format($total-$this->inv[0]->co_discount,2),1,1,'R');//end of line
//$this->Cell(32 ,5,$post->discount.'%'.number_format($post->dis_price,2),1,1,'R');//end of line

//$divd = ($total-($this->inv[0]->co_discount));

//$taxspre = ($this->inv[0]->co_tax * $divd)/100 ;






//$this->Cell(28 ,5,$this->inv[0]->curr_symble,1,0);
//$this->Cell(28 ,5,number_format($this->inv[0]->co_final_tot,2),1,1,'R');//end of line

//$perf_val = ($this->inv[0]->co_final_tot/100)*$this->inv[0]->co_profoma;

//$this->Cell(38 ,5,'ADVANCE ('.$this->inv[0]->co_profoma.'%)',0,0);
//$this->Cell(28 ,5,$this->inv[0]->curr_symble,1,0);
//$this->Cell(28 ,5,number_format($perf_val,2),1,1,'R');//end of line

//$balance = ($this->inv[0]->co_final_tot- $perf_val);

//$this->Cell(28 ,5,$this->inv[0]->curr_symble,1,0);
//$this->Cell(28 ,5,number_format($balance,2),1,1,'R');//end of line







//echo $this->tm[1][0]->pro_bank;
$this->Ln(2);
$this->SetFont('Arial','B',8);


//print_r($this->tm[0]->tmdes_des);
//$this->inv[0]->po_tc;
$this->SetFont('Arial','',9);
//$this->Ln(5);
//$this->Cell(153 ,5,'',0,0);//end of line
//$this->Cell(50 ,5,'  Approved',0,1);//end of line
//$this->Ln(12);
//$this->Cell(80 ,5,'',0,0);//end of line
//$this->Cell(70 ,5,'-------------------------',0,0);//end of line
//$this->Cell(40 ,5,'-------------------------',0,1);//end of line

//$this->Cell(80 ,2,'',0,0);//end of line
//$this->Cell(70 ,2,'     Requested by',0,0);//end of line
//$this->Cell(40 ,2,'    Authorized By',0,1);//end of line


//$this->Ln(5);
$this->SetFont('Arial','',8);


	}

	public function printPDF () {
				
	
		
	    $this->SetAutoPageBreak(false);
	    $this->AliasNbPages();
	    $this->SetFont("helvetica", "B", 10);
	   
	    $this->rptDetailData();
			    
	    $this->Output();
  	}
  	
  	private $widths;
	private $aligns;

	function SetWidths($w)
	{
		//Set the array of column widths
		$this->widths=$w;
	}

	function SetAligns($a)
	{
		//Set the array of column alignments
		$this->aligns=$a;
	}

	function Row($data)
	{
		//Calculate the height of the row
		$nb=0;
		for($i=0;$i<count($data);$i++)
			$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
		$h=6*$nb;
		//Issue a page break first if needed
		$this->CheckPageBreak($h);
		//Draw the cells of the row
		for($i=0;$i<count($data);$i++)
		{
			$w=$this->widths[$i];
			$a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
			//Save the current position
			$x=$this->GetX();
			$y=$this->GetY();
			//Draw the border
			$this->Rect($x,$y,$w,$h);
			//Print the text
			$this->MultiCell($w,4,$data[$i],0,$a);
			//Put the position to the right of the cell
			$this->SetXY($x+$w,$y);
		}
		//Go to the next line
		$this->Ln($h);
	}

	function CheckPageBreak($h)
	{
		//If the height h would cause an overflow, add a new page immediately
		if($this->GetY()+$h>$this->PageBreakTrigger)
			
			$this->AddPage("L");
	
	}

	function NbLines($w,$txt)
	{
		//Computes the number of lines a MultiCell of width w will take
		$cw=&$this->CurrentFont['cw'];
		if($w==0)
			$w=$this->w-$this->rMargin-$this->x;
		$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
		$s=str_replace("\r",'',$txt);
		$nb=strlen($s);
		if($nb>0 and $s[$nb-1]=="\n")
			$nb--;
		$sep=-1;
		$i=0;
		$j=0;
		$l=0;
		$nl=1;
		while($i<$nb)
		{
			$c=$s[$i];
			if($c=="\n")
			{
				$i++;
				$sep=-1;
				$j=$i;
				$l=0;
				$nl++;
				continue;
			}
			if($c==' ')
				$sep=$i;
			$l+=$cw[$c];
			if($l>$wmax)
			{
				if($sep==-1)
				{
					if($i==$j)
						$i++;
				}
				else
					$i=$sep+1;
				$sep=-1;
				$j=$i;
				$l=0;
				$nl++;
			}
			else
				$i++;
		}
		return $nl;
	}
} //end of class


$options = array(
//	'inv' => $inv, //nama file penyimpanan, kosongkan jika output ke browser
	'destinationfile' => 'I', //I=inline browser (default), F=local file, D=download
	'paper_size'=>'A4',	//paper size: F4, A3, A4, A5, Letter, Legal
	'orientation'=>'L' //orientation: P=portrait, L=landscape

);

$tabel = new PDF_sample($data, $options,$inv_itm,$tm);
//$tabel->printPDF();
$tabel->printPDF();
?>